apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: cdn-ingress
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    cert-manager.io/cluster-issuer: letsencrypt-prod-dns
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.tls.certresolver: letsencrypt
spec:
  rules:
  - host: cdn.priet.us
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: static-content-service
            port:
              number: 80
  tls:
  - hosts:
    - cdn.priet.us
    secretName: cdn-tls

